Jump to content

MediaWiki:Mobile.css: Difference between revisions

From THS Wiki
No edit summary
No edit summary
 
Line 5: Line 5:
     max-width: 100% !important;
     max-width: 100% !important;
     margin: 1em 0 !important;
     margin: 1em 0 !important;
    display: table !important;
     box-sizing: border-box !important;
     box-sizing: border-box !important;
    display: block !important;
}
.portable-infobox .wds-tabs__wrapper {
    overflow-x: auto !important;
    white-space: nowrap !important;
    width: 100% !important;
}
}


Line 12: Line 19:
     max-width: 100% !important;
     max-width: 100% !important;
     height: auto !important;
     height: auto !important;
    width: auto !important;
}
}


 
@media screen and (max-width: 450px) {
.portable-infobox .pi-data {
    .portable-infobox .pi-data {
    display: flex;
        display: block !important;
     flex-direction: row;
     }
     justify-content: space-between;
     .portable-infobox .pi-data-label {
}
        width: 100% !important;
 
        text-align: left !important;
.portable-infobox .pi-data-label {
        padding-bottom: 2px;
    flex: 0 0 40%;  
    }
    font-weight: bold;
    .portable-infobox .pi-data-value {
}
        width: 100% !important;
 
        text-align: left !important;
.portable-infobox .pi-data-value {
        padding-left: 10px;
    flex: 1;
    }
    text-align: right;
}
}

Latest revision as of 19:01, 24 February 2026


.portable-infobox {
    float: none !important;
    width: 100% !important;
    max-width: 100% !important;
    margin: 1em 0 !important;
    box-sizing: border-box !important;
    display: block !important;
}


.portable-infobox .wds-tabs__wrapper {
    overflow-x: auto !important;
    white-space: nowrap !important;
    width: 100% !important;
}

.portable-infobox .pi-image img {
    max-width: 100% !important;
    height: auto !important;
    width: auto !important;
}

@media screen and (max-width: 450px) {
    .portable-infobox .pi-data {
        display: block !important;
    }
    .portable-infobox .pi-data-label {
        width: 100% !important;
        text-align: left !important;
        padding-bottom: 2px;
    }
    .portable-infobox .pi-data-value {
        width: 100% !important;
        text-align: left !important;
        padding-left: 10px;
    }
}